*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  background: linear-gradient(90deg, #004a2f 0%, #004a2f 50%, #004a2f 100%);
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  margin: 0;
  line-height: 1.5;
  display: flex;
  height: 100vh;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.wrapper {
  background: #fff;
  width: 90%;
  padding: 2rem;
  box-shadow: 0 0px 2.2px rgba(0, 0, 0, 0.028), 0 0px 5.3px rgba(0, 0, 0, 0.04),
    0 0px 10px rgba(0, 0, 0, 0.05);
}

h2 {
  background: #004a2f;
  color: white;
  letter-spacing: 0.1rem;
  padding: 1rem;
  cursor: default;
  text-align: center;
}

form,
input,
textarea,
button {
  font-family: inherit;
  font-size: initial;
}

.form-group label {
  display: block;
  margin: 2rem 0 0.5rem 0;
}

.form-group input[type="text"],
.form-group input[type="email"],
.form-group textarea {
  width: 100%;
  padding: 1rem 0.8rem;
  border: 1px solid rgba(0, 0, 0, 0.2);
  outline: 0;
  transition: border 0.15s;
}

.form-group input[type="text"],
.form-group input[type="email"] {
  height: 4.6rem;
}

.form-group textarea {
  resize: vertical;
}

.submit {
  background: #004a2f;
  color: white;
  font-weight: bold;
  margin-top: 1rem;
  padding: 1rem 1.5rem;
  border: none;
  cursor: pointer;
  transition: backgr ound 0.15s;
}

.submit:hover {
  background: #1ae79c;
  color: black;
}

.form-group input[type="text"]:focus,
.form-group input[type="email"]:focus,
.form-group textarea:focus {
  border: 1px solid #004a2f;
}

/* responsive */

@media screen and (min-width: 576px) {
  .wrapper {
    width: 70%;
  }
}

@media screen and (min-width: 768px) {
  .wrapper {
    width: 55%;
  }
}

@media screen and (min-width: 992px) {
  .wrapper {
    width: 45%;
  }
}

@media screen and (min-width: 1200px) {
  .wrapper {
    width: 35%;
  }
}
